use neo4rs::Graph;
use rocket::{get, Route, State};
use rocket::response::status::NotFound;
use rocket_okapi::{openapi, openapi_get_routes};
use rocket::serde::json::Json;


pub fn build_api() -> Vec<Route> {
    openapi_get_routes![
        append
    ]
}

/// get general build-server stats
#[openapi(tag = "stats")]
#[get("/append")]
pub async fn append(graph: &State<Graph>) -> Result<String, NotFound<String>> {
    let graph = graph as &Graph;

    Ok("worked".to_string())
}
